org.apache.solr.search.facet

## Class FieldUtil

- java.lang.Object
- - org.apache.solr.search.facet.FieldUtil

-     public class FieldUtil
      extends Object

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.
    Porting helper... may be removed if it offers no value in the future.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortedDocValues` | `getSortedDocValues(QueryContext context, SchemaField field, QParser qparser)`
    `static SortedDocValues` | `getSortedDocValues(SolrIndexSearcher searcher, String field)` Simpler method that creates a request context and looks up the field for you
    `static SortedSetDocValues` | `getSortedSetDocValues(QueryContext context, SchemaField field, QParser qparser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldUtil

          public FieldUtil()

  - ### Method Detail

    - #### getSortedDocValues

          public static SortedDocValues getSortedDocValues(SolrIndexSearcher searcher,
                                                           String field)
                                                    throws IOException

      Simpler method that creates a request context and looks up the field for you
      Throws:
        `IOException`

    - #### getSortedDocValues

          public static SortedDocValues getSortedDocValues(QueryContext context,
                                                           SchemaField field,
                                                           QParser qparser)
                                                    throws IOException

      Throws:
        `IOException`

    - #### getSortedSetDocValues

          public static SortedSetDocValues getSortedSetDocValues(QueryContext context,
                                                                 SchemaField field,
                                                                 QParser qparser)
                                                          throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.